# QDirIterator Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QDirIterator(QDir dir, IteratorFlags flags)
- void QDirIterator(String path, Filters filter, IteratorFlags flags)
- void QDirIterator(String path, IteratorFlags flags)
- void QDirIterator(String path, List nameFilters, Filters filters, IteratorFlags flags)

### Constructor Properties

- prototype: The QDirIterator prototype object
- NoIteratorFlags = 0x0
- FollowSymlinks = 0x1
- Subdirectories = 0x2
- IteratorFlag( value )
- IteratorFlags( value1, value2, ... )

### Prototype Object Properties

- QFileInfo fileInfo()
- String fileName()
- String filePath()
- bool hasNext()
- String next()
- String path()

### Instance Properties

QDirIterator objects have no special properties beyond those inherited from the QDirIterator prototype object.